Bug 610231 - Missing initscript, superfluous .rej files, etc. [NEEDINFO]
Missing initscript, superfluous .rej files, etc.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: conntrack-tools (Show other bugs)
22
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 15:48 EDT by Jan "Yenya" Kasprzak
Modified: 2016-04-19 22:14 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 22:14:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: needinfo? (kas)


Attachments (Terms of Use)
Init script for conntrackd (2.34 KB, patch)
2011-03-28 13:11 EDT, purpleidea
no flags Details | Diff
Sysconfig file that goes with init script (122 bytes, patch)
2011-03-28 13:11 EDT, purpleidea
no flags Details | Diff
Patch to upgrade, add systemd files, fixup spec file (18.90 KB, patch)
2012-05-07 21:40 EDT, Paul Wouters
no flags Details | Diff

  None (edit)
Description Jan "Yenya" Kasprzak 2010-07-01 15:48:42 EDT
Description of problem:
The packaging quality of conntrack-tools package is substandard:

1) despite containing a daemon (conntrackd), it does not provide its initscript.
2) the /etc/conntrackd directory needed by conntrackd by default is not present in the package
3) the %doc directory contains several .rej and .orig files, apparently from failed patching
4) I would suggest to add the /etc/conntrackd/conntrackd.conf file (possibly from sync/ftfw), and definitely mark it as %config, maybe missingok.

Version-Release number of selected component (if applicable):
conntrack-tools-0.9.13-2.fc13.x86_64
Comment 1 Curtis Doty 2010-08-31 23:37:24 EDT
Agreed. Some ideas...

The file /usr/share/doc/conntrack-tools-0.9.13/doc/debian.conntrackd.init.d could probably be fedorafied, tested and installed in /etc/init.d.

The junk in %doc is gone in 0.9.14 which was released last year and now appears in rawhide. Why not push to koji for f13?
Comment 2 Curtis Doty 2010-08-31 23:41:30 EDT
0.9.14 also fixes the annoying cosmetic bug where usage() outputs gunk instead of trailing newline.
Comment 3 purpleidea 2011-03-25 17:02:05 EDT
Has anybody done this? If it exists, I'd love to avoid rewriting the init script.
Comment 4 purpleidea 2011-03-28 13:11:00 EDT
Created attachment 488199 [details]
Init script for conntrackd

Init script for conntrackd. Free to use under the terms of the GPL 2 or any later version.
Comment 5 purpleidea 2011-03-28 13:11:42 EDT
Created attachment 488200 [details]
Sysconfig file that goes with init script

Sysconfig file for init script for conntrackd. Free to use under the terms of the GPL 2 or any later version.
Comment 6 purpleidea 2011-03-28 13:12:38 EDT
Attached are an init script and sysconfig file for conntrackd. Let me know of any issues, it's my first.
Comment 7 Richard Hughes 2011-05-15 02:16:18 EDT
If nobody is interested, I can commit this later this week and roll a new release. I think this is probably a good idea, and I'm pretty sure any subsequent package review would pick up the lack of a suitable init script. Yell if anyone has any problems. Thanks.
Comment 8 Paul P Komkoff Jr 2011-05-16 06:33:01 EDT
I have updated the base to 1.0.0 - just haven't built it yet. If you want you can add the scripts or I will add them myself. Thanks
Comment 9 Richard Hughes 2011-05-16 09:58:55 EDT
(In reply to comment #8)
> I have updated the base to 1.0.0 - just haven't built it yet. If you want you
> can add the scripts or I will add them myself. Thanks

If you are prepping a new build, then please add them for me. I'm horribly hung over today and can't be trusted. Thanks dude.
Comment 10 Paul Wouters 2011-09-21 22:39:17 EDT
ping?
Comment 11 purpleidea 2011-09-22 00:05:27 EDT
RE: ping, I'd like to see this maintained in distros, in RHEL, etc... If there's something I should do, let me know. If there are bugs in my init scripts, I'm happy to patch them.

Paul: If you have this built and packaged (rpm), I'd be happy to test it.

Thanks!
Comment 12 Paul Wouters 2012-02-28 10:22:23 EST
ping? 

Paul P Komkoff Jr : need help with this? I can co-maintain?
Comment 13 Paul P Komkoff Jr 2012-02-29 04:57:13 EST
Sorry I let this slip. I have added the initscript and systconfig template, but I wanted to add systemd service and then got distracted :)
I'll try to add everything in next few days, but in any case I welcome co-maintainers.
Comment 14 purpleidea 2012-02-29 10:52:20 EST
Paul P Komkoff Jr: I'm happy to help out with at least testing in the future...
I think this is an awesome daemon, however I'm not sure why it doesn't get more love that I feel it should... Is everyone using something different and keeping it secret ? Thanks!
Comment 15 Paul Wouters 2012-05-07 21:40:15 EDT
Created attachment 582819 [details]
Patch to upgrade, add systemd files, fixup spec file

I'm still waiting on commit access, but attached is the patch to bring this up to 1.0.1 including the systemd
Comment 16 Paul Wouters 2012-05-07 22:20:20 EDT
commit access went through, so build should appear at: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=4061813
Comment 17 purpleidea 2012-05-07 22:35:49 EDT
Paul Wouters:
Koji seems to have failed. I can't see the build.log but I'm pretty sure I have the fixes (based on previous experience compiling this). I can get them from my other machine tomorrow. (Small patches)

PS: Will finishing all this get conntrackd included in mainline rhel6?
Comment 18 Paul Wouters 2012-05-07 23:00:56 EDT
Needed a small patch, so build is now in http://koji.fedoraproject.org/koji/taskinfo?taskID=4061862
Comment 19 Paul Wouters 2012-05-07 23:01:52 EDT
Yes, I will go hunt down the original review bug and request a branch for EL6
Comment 20 purpleidea 2012-05-07 23:07:55 EDT
Paul Wouters: thanks for following up on this. This is some great software which just needs some extra love :)

When the [S]RPM's are done, let me know and I'll put them in my test [TODO] queue.
Comment 21 Paul Wouters 2012-05-07 23:10:24 EDT
http://koji.fedoraproject.org/koji/getfile?taskID=4061863&name=conntrack-tools-1.0.1-1.fc18.src.rpm

Note that this requires systemd, so for the EL6 version, I need to update/create the init script.
Comment 22 Fedora End Of Life 2013-04-03 16:04:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 23 Fedora End Of Life 2015-01-09 16:44:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 24 Fedora End Of Life 2015-02-18 08:27:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 25 Paul Wouters 2016-04-19 22:14:45 EDT
fixed

Note You need to log in before you can comment on or make changes to this bug.